import { SmartBuffer } from '../smart-buffer'
import { OutgoingPacket } from './server'

export class SubscribeMessage extends SmartBuffer {
  static readonly messageType = 0x0000

  constructor (id: number) {
    super()
    const outgoingPacket = new OutgoingPacket(SubscribeMessage.messageType)
    this.data = outgoingPacket.data
    this.writeUInt16(id)
  }
}

export class Unsubscribe extends OutgoingPacket {
  static readonly messageType = 0xffff

  constructor (id: number) {
    super(Unsubscribe.messageType)
    this.writeUInt16(id)
  }
}
